package config

import (
	"github.com/zeromicro/go-zero/core/stores/cache"
	"github.com/zeromicro/go-zero/zrpc"
)

type Config struct {
	zrpc.RpcServerConf
	Mongo struct {
		Schema   string
		User     string
		Password string
		Host     string
		Port     string
		Database string
	}

	// 快取
	Cache cache.CacheConf
}
