package model

import "github.com/zeromicro/go-zero/core/stores/mon"

var _ Comment_likesModel = (*customComment_likesModel)(nil)

type (
	// Comment_likesModel is an interface to be customized, add more methods here,
	// and implement the added methods in customComment_likesModel.
	Comment_likesModel interface {
		comment_likesModel
	}

	customComment_likesModel struct {
		*defaultComment_likesModel
	}
)

// NewComment_likesModel returns a model for the mongo.
func NewComment_likesModel(url, db, collection string) Comment_likesModel {
	conn := mon.MustNewModel(url, db, collection)
	return &customComment_likesModel{
		defaultComment_likesModel: newDefaultComment_likesModel(conn),
	}
}
