package domain

type AdType int32

func (a AdType) ToInt32() int32 {
	return int32(a)
}

const (
	AdTypeAll AdType = iota
	AdTypeOnlyAd
	AdTypeOnlyNotAd
)

type LikeType int8

func (l LikeType) ToInt8() int8 {
	return int8(l)
}

const (
	LikeTypeLike LikeType = iota + 1 // 按揍
	LikeTypeDisLike
)
