package model

import (
	"go.mongodb.org/mongo-driver/bson/primitive"
)

type PostLikes struct {
	ID       primitive.ObjectID `bson:"_id,omitempty" json:"id,omitempty"`
	TargetID string             `bson:"target_id" json:"target_id"`
	UID      string             `bson:"uid" json:"uid"`
	Type     int8               `bson:"type" json:"type"`
	CreateAt int64              `bson:"createAt,omitempty" json:"createAt,omitempty"`
}

func (p *PostLikes) CollectionName() string {
	return "post_like"
}
